Order the annual-report audit report (Granskning årsredovisning)
curl --request POST \
--url https://lens-api.tic.io/companies/{id}/reports/annual-report-audit \
--header 'x-api-key: <api-key>'import requests
url = "https://lens-api.tic.io/companies/{id}/reports/annual-report-audit"
headers = {"x-api-key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'x-api-key': '<api-key>'}};
fetch('https://lens-api.tic.io/companies/{id}/reports/annual-report-audit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"teamDocumentOrderId": 123,
"teamId": 123,
"teamName": "<string>",
"documentOrderGuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"documentTitle": "<string>",
"documentOrderType": "companyDocument",
"documentOrderDate": "2023-11-07T05:31:56Z",
"orderedByUserId": 123,
"orderedByUserEmail": "<string>",
"orderedByUserDisplayName": "<string>",
"price": 123,
"lastUpdatedAtUtc": "2023-11-07T05:31:56Z",
"externalId": 123,
"externalOrigin": "table_Bolagsverket_Notification",
"externalId2": "<string>",
"salesOrderRows": [
123
],
"content": [
{
"teamDocumentOrderContentId": 123,
"teamDocumentOrderId": 123,
"teamDocumentContentType": "pdf"
}
]
}Companies
Order the annual-report audit report (Granskning årsredovisning)
Orders the annual-report audit report (Granskning årsredovisning) as a PDF.
POST
/
companies
/
{id}
/
reports
/
annual-report-audit
Order the annual-report audit report (Granskning årsredovisning)
Max+ tier
The report holds basic information, the full Bolagsverket case list (ärendeförteckning), group membership, owners, registered officers and signing authority, annual report filings, key ratios, share capital, properties, vehicles and business mortgages.
- Personal identity numbers follow the same masking rules as representatives.
- The price includes the case list.
- An order younger than 24 hours for the same company and team is returned instead of a new one.
- Download the PDF with
GET /orders/{guid}/file.
Authorizations
Path Parameters
Internal company ID
Response
The report order
Available options:
companyDocument, lantmaterietFastighet, companyRegistrationLetterSwedish, companyRegistrationLetterEnglish, externalSearchActaPublica, externalSearchTrapets, personCreditCheckMail, companyMinutes, companyArticlesOfAssociation, companyFinancialPlan, companyStatutes, companyAnnualReportArchived, personCreditCheckKivra, bolagsverketCaseDetails, bolagsverketFullCaseList, lantmaterietOwnershipHistory, export, companyReportGoingConcern, companyReportAnnualReportAudit, propertyReport Available options:
table_Bolagsverket_Notification, table_Stage_CompanyPersonHistory, table_PRV_Trademark, table_System_SwedishCity, table_FI_Company, table_FI_CompanyPermit, table_ICA_Store, table_Srf_Company, table_FAR_Member, table_Bolagsverket_Document, table_Bolagsverket_Case, table_SalesOrderRow, table_SalesOrder, table_System_UserValidation, table_System_User, table_User, table_TeamInvitation, table_Sweden_CourtDocument, table_PRV_TrademarkImage, table_Bolagsverket_Order, table_SCB_JE, table_SCB_AE, table_Bolagsverket_BeneficialOwnerNotification, table_TeamWatchListTrigger, table_SCB_Foretagsnamn, table_SCB_ExpImp, table_SCB_AstNummer, table_SCB_Konskvot, table_Company, table_Larmtjanst_Object, table_Transportstyrelsen_Person, table_Forsakringskassan_Claim, table_FI_BorsInformationReport, table_Skatteverket_FA_INK, table_Skatteverket_FA_MOMS_AG, table_Skatteverket_KA_PLIGG, table_Skatteverket_SKT_AG, table_Skatteverket_SKT_INK, table_Skatteverket_SKT_MOMS, table_Skatteverket_TF_ANST, table_SPAR_NotificationRecord, table_SPAR_NotificationRecordReference, table_Lantmateriet_InskrivningPerson, table_CompanyCase, table_Bolagsverket_BeneficialOwner, table_Bolagsverket_AnnualReport, table_SPAR_NotificationRecordRelationship, table_Skatteverket_Basinformation, table_PersonRelationship, table_CompanyImport, table_SeaweedFSFile, table_Sweden_CompanyAnnualReport, table_CompanyFinancialReport, table_CompanyAddress, table_CompanyStatus, table_CompanyPerson, table_CompanyRegistration, table_CompanyIntelligence, table_CompanyFinancialDocument, table_CompanyNaming, table_CompanyPurpose, table_CompanyShareCapital, table_CompanyRegisteredOffice, table_KFM_OrderToPayCase, table_PersonAddress, table_PersonName, table_CompanyWorkplaceAddress, table_Lantmateriet_InskrivningAgandeForandring, table_Lantmateriet_InskrivningInteckning, file_Bolagsverket, table_KFM_DebtorSummaryEntityDebt, table_CompanyWorkplaceCompany, table_CompanyDocument, table_FileImport, table_CompanyFinancialReportRegistration, table_Folkhalsomyndigheten_ServingPermit, table_CompanyFinancialReportFile, table_TeamCompanyDocument, table_Bolagsverket_RepresentativeHistory, table_CompanyPersonTemp, table_Lansstyrelsen_Decision, table_Kammarkollegiet_Sanktionsavgift, table_CompanyFinancialReportSummary, table_Lantmateriet_InskrivningAnteckning, table_Property, table_SwishRequest, external_Lantmateriet_RegisterenhetObjektIdentitet, table_SwishRefundResponse, table_LEI_Order, table_Bankgirot_Bankgironumber, table_Person, external_Navet, table_Transportstyrelsen_VehicleSummaryEvent, external_Bolagsverket_Case, table_Ria_AgentLocation, table_PropertyAnnualReportFile Show child attributes
Show child attributes